Name:          kleansweep
Version:       0.2.9
Release:       3%{?dist}
Summary:       Reclaim disk space by finding unneeded files

License:       GPL
Group:         Applications/System
URL:           http://linux.bydg.org/~yogin/

Source:        http://linux.bydg.org/~yogin/kleansweep-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs-devel, gettext, scons

%description
KleanSweep allows you to reclaim disk space by finding unneeded files. It
can search for files based on several criteria: you can seek for empty
files, backup files, broken symbolic links, dead menu entries, duplicated
files, orphaned files (files not found in the RPM database), and more.

%prep
%setup -q


%build
# disables rpath
sed -i 's|^env.KDEuse("environ rpath")|env.KDEuse("environ")|g' SConstruct

CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS

scons %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
scons install prefix=$RPM_BUILD_ROOT%{_prefix}

desktop-file-install --vendor ""             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "System"                    \
  --delete-original                          \
  $RPM_BUILD_ROOT%{_datadir}/applnk/System/kleansweep.desktop

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README THANKS TODO
%{_datadir}/apps/%{name}/
%{_datadir}/applications/kleansweep.desktop
%{_datadir}/icons/*/*/apps/kleansweep.png
%{_bindir}/kleansweep*


%Changelog
* Sun Nov 19 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.2.9-3
- using preferred value for the buildroot tag

* Sun Nov 19 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.2.9-2
- replaced %%{buildroot} by $$RPM_BUILD_ROOT

* Sat Nov 18 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 0.2.9-1
- Initial Package.